#!/bin/bash
# This script starts GigaSpaces Management Center

scriptDir="$(dirname $0)"

. `dirname $0`/setenv.sh

export INTEROP_JARS="${XAP_HOME}"/lib/optional/interop/*
GUI_CLASSPATH="$PRE_CLASSPATH:$XAP_HOME:$UI_JARS:$SPRING_JARS:$INTEROP_JARS:$MEMORYXTEND_JARS:$COMMONS_JARS:$POST_CLASSPATH"
launchTarget=com.gigaspaces.admin.ui.MainUI

command_line=$*

NATIVE_DIR="$XAP_HOME/lib/platform/native"

opSys=`uname -s`
if [ $opSys = "Darwin" ] ; then
    export DYLD_LIBRARY_PATH=$EXT_LD_LIBRARY_PATH:$LD_LIBRARY_PATH:$NATIVE_DIR
    DARWIN_PROPS="-Dcom.gs.ui.laf.classname=apple.laf.AquaLookAndFeel -Dcom.apple.macos.useScreenMenuBar=true -Xdock:name=GigaSpacesBrowser -Dcom.apple.mrj.application.growbox.intrudes=false -Dcom.apple.mrj.application.live-resize=true"
else
	export LD_LIBRARY_PATH="$EXT_LD_LIBRARY_PATH:$LD_LIBRARY_PATH:$NATIVE_DIR"
fi

SYS_PROPS="-Dcom.gs.env.report=false -Dcom.gs.jini.useDefinedGroupOnly=false -Dcom.gs.browser.containername=mySpace_container -Dcom.gs.embeddedQP.enabled=true -Djava.protocol.handler.pkgs=net.jini.url ${DARWIN_PROPS}"
export SYS_PROPS

command="$JAVACMD ${JAVA_OPTIONS} ${XAP_GUI_OPTIONS} -cp ${GUI_CLASSPATH} ${SYS_PROPS} ${XAP_OPTIONS} $launchTarget $command_line"

echo
echo Starting GigaSpaces Management Center:
echo 
echo ${command}
echo
echo
$command
